#ifndef DAC_LIB_H
#define DAC_LIB_H

#define DAC1_12bit_right_align      0x40007408
#define DAC1_12bit_left_align       0x4000740C
#define DAC1_8bit_right_align       0x40007410
#define DAC2_12bit_right_align      0x40007414
#define DAC2_12bit_left_align       0x40007418
#define DAC2_8bit_right_align       0x4000741C
#define DAC_Dual_12bit_right_align  0x40007420
#define DAC_Dual_12bit_left_align   0x40007424
#define DAC_Dual_8bit_right_align   0x40007428
#define DAC_Dual_8bit_left_align    0x4000742C

#define DAC1 0
#define DAC2 1



extern int dacopen(uint32_t pin);
extern int dacsetconfig(int timer, int buffer_size, int dac, uint32_t dac_type, uint32_t samplingFreq, void* data);




#endif // DAC_LIB_H
